package com.lideeyunji.service.system.service;
import java.util.Collection;
import java.util.Set;
import static java.util.Collections.singleton;
/**
 * 应用权限接口
 */
public interface IClientPermissionService {

     /**
     * 获得角色拥有的应用id集合
     *
     * @param roleId 角色编号
     * @return 应用id集合
     */
    default Set<Long> getRoleClientListByRoleId(Long roleId) {
        return getRoleClientListByRoleId(singleton(roleId));
    }
     Set<Long> getRoleClientListByRoleId(Collection<Long> roleIds);
}
